import 'package:sdcl/health_data/weight.dart';

class HealthData {

  const HealthData({
    this.weightList
  });

  final List<Weight>? weightList;

  Map<String, dynamic> toJSON() {
    return {
      "weightList": weightList != null ? weightList!.map((e) => e.toJSON()).toList() : null
    };
  }

  static HealthData fromJSON(Map<String, dynamic> data) {
    return HealthData(
      weightList: data["weightList"]?.map<Weight>((e) => Weight.fromJSON(e)).toList(),
    );
  }

}