class Identifiable {

  const Identifiable({
    this.value
  });
  
  final String? value;

  Map<String, dynamic> toJSON() {
    return {
      "value": value
    };
  }

  static Identifiable fromJSON(Map<String, dynamic> data) {
    return Identifiable(
      value: data["value"],
    );
  }

}